Skip to main content
GET
/
bookings
/
availability
Get bookings availability for an event
curl --request GET \
  --url https://channels-service-alpha.fourvenues.com/bookings/availability/ \
  --header 'X-Api-Key: <api-key>'
{
  "data": [
    {
      "id": "5f8e1b9b9d9e4b0017b3b3a0",
      "slug": "1735561747338",
      "name": "Superior VIP",
      "normalized_zone_name": "superior-vip",
      "can_select_client": true,
      "is_full": false,
      "spaces": [
        {
          "_id": "5f8e1b9b9d9e4b0017b3b3a0",
          "name": "S-12",
          "capacity": 10,
          "normalized_name": "s-12",
          "position": {
            "x": 100,
            "y": 50,
            "scale": 2.1,
            "rotation": 20,
            "radius": 100
          },
          "rates": [
            {
              "_id": "5f8e1b9b9d9e4b0017b3b3a0",
              "slug": "red-table",
              "name": "Red Table",
              "content": "1 bottle of champagne. VIP with couch",
              "max_clients": 5,
              "price": 250,
              "included_persons": 5,
              "supplement_persons": 1,
              "supplement_price": 50,
              "full_payment": false,
              "deposit": {
                "type": "fixed",
                "amount": 20
              }
            }
          ],
          "available": true
        }
      ],
      "rates": [
        {
          "_id": "5f8e1b9b9d9e4b0017b3b3a0",
          "slug": "red-table",
          "name": "Red Table",
          "content": "1 bottle of champagne. VIP with couch",
          "max_clients": 5,
          "price": 250,
          "included_persons": 5,
          "supplement_persons": 1,
          "supplement_price": 50,
          "full_payment": false,
          "deposit": {
            "type": "fixed",
            "amount": 20
          }
        }
      ]
    }
  ],
  "success": true
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

event_id
string
required

Event ID

quantity
number

Quantity of people to get availability for

Response

Bookings for an event

data
object[]
success
boolean
Example:

true